{% extends 'base.html' %}

{% block autenticacion-permiso %}
    {% if not perms.auth.change_permission %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
{% endblock %}

{% block nav-permisos %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'oauth_app:index' %}">Permisos <span class="sr-only">(current)</span></a>
    </li>
{% endblock %}

{% block content %}
    <div class="container">
        <div class="py-5 text-center">
            <h1 class="text-light"> Crear Rol </h1>
        </div>
        <div class="bg-light rounded border-dark p-3">
            <form action="{% url 'oauth_app:guardarModificacionRol' Rolid %}" method="GET">
                <div class="form-group row m-3">
                    <label for="inputPassword" class="col-sm-2 col-form-label" disabled="true">Nombre:</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inputPassword" placeholder="Nombre del rol"
                               name="nombre" value="{% if Rol %}{{ Rol }}{% endif %}" disabled="true">
                        <small id="ayudaRol" class="form-text text-muted">No se puede modificar el nombre</small>
                    </div>
                </div>
                <div class="text-center ml-3">
                    <h4 class="text-dark"> Permisos</h4>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso1" name="p1"
                           {% if Permisos %}{% if 'change_permission' in Permisos %}checked
                           {% endif %}{% endif %}>
                    <label class="form-check-label" for="Permiso1">Gestionar Permisos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso2" name="p2"
                           {% if Permisos %}{% if 'add_proyectos' in Permisos %}checked
                           {% endif %}{% endif %}>
                    <label class="form-check-label" for="Permiso2">Crear Proyectos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso3" name="p3"
                           {% if Permisos %}{% if 'view_proyectos' in Permisos %}checked
                           {% endif %}{% endif %}>
                    <label class="form-check-label" for="Permiso3">Ver Todos los Proyectos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso4" name="p4"
                           {% if Permisos %}{% if 'add_group' in Permisos %}checked
                           {% endif %}{% endif %}>
                    <label class="form-check-label" for="Permiso4">Crear Roles de Sistema</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso5" name="p5"
                           {% if Permisos %}{% if 'change_group' in Permisos %}checked
                           {% endif %}{% endif %}>
                    <label class="form-check-label" for="Permiso5">Modificar Roles de sistema</label>
                </div>
                {% if perms.auth.change_group %}
                    <button type="submit" class="btn btn-primary ml-3 mt-3 ">Guardar</button>
                    <a class="btn btn-danger mt-3" data-toggle="modal" data-target="#confirmarEliminar">Eliminar</a>
                {% endif %}
                <a class="btn btn-secondary mt-3" href="{% url 'oauth_app:listarRol' %}">
                    {% if perms.auth.change_group %}Cancelar {% else %} Atras {% endif %}</a>

                <!-- Confirmar accion de eliminar -->
                <div class="modal fade" id="confirmarEliminar" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Atención!</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                        aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="modal-body">
                                Esta seguro de que desea eliminar el rol {{ Rol }}
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default"
                                        data-dismiss="modal">Close
                                </button>
                                <a class="btn btn-primary" href="{% url 'oauth_app:eliminarRol' Rolid %}">
                                    Confirmar
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}